Package uk.ac.starlink.topcat.interop

# Interface ImageActivity

All Superinterfaces:
  `Activity`

All Known Implementing Classes:
  `SampImageActivity`

public interface ImageActivity extends Activity
Activity for sending an image of some sort to load.

Since:
  18 Sep 2008
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FORMAT_FITS`
Format string indicating FITS image.
`static final String`
`FORMAT_GIF`
Format string indicating GIF image.
`static final String`
`FORMAT_JPEG`
Format string indicating JPEG image.
`static final String`
`FORMAT_PNG`
Format string indicating PNG image.
`static final String[]`
`KNOWN_FORMATS`
Array of all known formats.

## Method Summary

Modifier and Type
Method
Description
`void`
`displayImage(String location, String label)`
Displays an image according to the current selections of the components owned by this activity.
`JComboBox<String>`
`getFormatSelector()`
Returns a combo box for selecting image format.

### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

`getTargetSelector`

## Field Details

### FORMAT_FITS

static final String FORMAT_FITS
Format string indicating FITS image.

See Also:
  - Constant Field Values

### FORMAT_JPEG

static final String FORMAT_JPEG
Format string indicating JPEG image.

See Also:
  - Constant Field Values

### FORMAT_GIF

static final String FORMAT_GIF
Format string indicating GIF image.

See Also:
  - Constant Field Values

### FORMAT_PNG

static final String FORMAT_PNG
Format string indicating PNG image.

See Also:
  - Constant Field Values

### KNOWN_FORMATS

static final String[] KNOWN_FORMATS
Array of all known formats.

## Method Details

### getFormatSelector

JComboBox<String> getFormatSelector()
Returns a combo box for selecting image format. A suitable list of entries for this box is `KNOWN_FORMATS`.

Returns:
  format selector

### displayImage

void displayImage(String location, String label) throws IOException
Displays an image according to the current selections of the components owned by this activity.

Parameters:
  `location` - string giving file name or URL location of file
  `label` - label for display target
Throws:
  `IOException`